Create new oAuthConfiguration

Creates an OAuth 2.0 configuration to be used by an add-on installed via the eLab Marketplace. You can choose to encrypt the client secret in the database as well with the isEncrypted property. If your eLab installation is also serving as a host for public add-ons you can choose to distribute the OAuth 2.0 configuration when add-ons are synced.

Example:

{
  'sdkPluginID': 123, 
  'description': 'config for my add-on', 
  'authorizationURI': 'https://example.com/authEndpoint',
  'tokenRequestURI': 'https://example.com/tokenRequestEndpoint',
  'refreshURI': 'https://example.com/tokenRefreshEndpoint',
  'clientID': '123456',
  'clientSecret': '123456',
  'isEncrypted': true, 
  'isPublic': true
}```
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required
Body Params
int32
string
int32
date-time
string
string
string
string
string
string
enum
Allowed:
boolean
string
boolean
boolean
string
Headers
string
Defaults to Swagger
Responses
200

The OAuth configuration is created and attached to the given sdkPluginID

400

There was an error in the configuration

401

You don't have permission to add a new OAuth configuration

404

An add-on with the given sdkPluginID could not be found

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!